Index: build/tags
*** nvi-1.79/build/tags	Wed Oct 23 22:53:13 1996
--- nvi-1.79-m17n/build/tags	Wed Aug 20 14:47:25 1997
***************
*** 291,510 ****
  OG_SET	../common/options.h	/^#define	OG_SET(gp, o)		((gp)->opts[(o)].o_cur.val)/
  OG_STR	../common/options.h	/^#define	OG_STR(gp, o)		((gp)->opts[(o)].o_cur.str)/
  OG_VAL	../common/options.h	/^#define	OG_VAL(gp, o)		((gp)->opts[(o)].o_cur.val)/
! OI	../common/options.c	/^#define	OI(indx, str) {							\\$/
! OLNO	../vi/vs_refresh.c	/^#define	OLNO	vip->olno		\/* Remembered file line. /
! ONE_FOR_EOF	../cl/cl_read.c	/^#define	ONE_FOR_EOF	1$/
! OOBLNO	../common/mark.h	/^#define	OOBLNO		0		\/* Out-of-band line number. */
! OPT_ADISP	../common/options.h	/^#define	OPT_ADISP	0x001		\/* Always display the op/
! OPT_ALWAYS	../common/options.h	/^#define	OPT_ALWAYS	0x002		\/* Always call the supp/
! OPT_GLOBAL	../common/options.h	/^#define	OPT_GLOBAL	0x01		\/* Option is global. *\//
! OPT_NDISP	../common/options.h	/^#define	OPT_NDISP	0x004		\/* Never display the opt/
! OPT_NOSAVE	../common/options.h	/^#define	OPT_NOSAVE	0x008		\/* Mkexrc command doesn/
! OPT_NOSET	../common/options.h	/^#define	OPT_NOSET	0x010		\/* Option may not be set/
! OPT_NOUNSET	../common/options.h	/^#define	OPT_NOUNSET	0x020		\/* Option may not be u/
! OPT_NOZERO	../common/options.h	/^#define	OPT_NOZERO	0x040		\/* Option may not be se/
! OPT_SELECTED	../common/options.h	/^#define	OPT_SELECTED	0x02		\/* Selected for displa/
! OS_DEF	../common/options.h	/^#define	OS_DEF		0x01		\/* Set the default value. */
! OS_NOFREE	../common/options.h	/^#define	OS_NOFREE	0x02		\/* Don't free the old str/
! OS_STR	../common/options.h	/^#define	OS_STR		0x04		\/* Set to string argument. /
! OS_STRDUP	../common/options.h	/^#define	OS_STRDUP	0x08		\/* Copy then set to strin/
! OUTCH	../ex/ex_subst.c	/^#define	OUTCH(ch, nltrans) {						\\$/
! O_CLR	../common/options.h	/^#define	O_CLR(sp, o)		o_set(sp, o, 0, NULL, 0)$/
! O_D_CLR	../common/options.h	/^#define	O_D_CLR(sp, o)		o_set(sp, o, OS_DEF, NULL,/
! O_D_ISSET	../common/options.h	/^#define	O_D_ISSET(sp, o)	O_D_VAL(sp, o)$/
! O_D_SET	../common/options.h	/^#define	O_D_SET(sp, o)		o_set(sp, o, OS_DEF, NULL,/
! O_D_STR	../common/options.h	/^#define	O_D_STR(sp, o)		O_V(sp, o, o_def.str)$/
! O_D_VAL	../common/options.h	/^#define	O_D_VAL(sp, o)		O_V(sp, o, o_def.val)$/
! O_ISSET	../common/options.h	/^#define	O_ISSET(sp, o)		O_VAL(sp, o)$/
! O_NUMBER_FMT	../vi/vi.h	/^#define	O_NUMBER_FMT	"%7lu "			\/* O_NUMBER format/
! O_NUMBER_LENGTH	../vi/vi.h	/^#define	O_NUMBER_LENGTH	8$/
! O_SET	../common/options.h	/^#define	O_SET(sp, o)		o_set(sp, o, 0, NULL, 1)$/
! O_STR	../common/options.h	/^#define	O_STR(sp, o)		O_V(sp, o, o_cur.str)$/
  O_V	../common/options.h	/^#define	O_V(sp, o, fld)							\\$/
! O_VAL	../common/options.h	/^#define	O_VAL(sp, o)		O_V(sp, o, o_cur.val)$/
! PROMPTCHAR	../ex/ex.h	/^#define	PROMPTCHAR	':'		\/* Prompt using a colon. /
  QREM	../common/key.c	/^#define	QREM(len) {							\\$/
! RCV_EMAIL	../common/exf.h	/^#define	RCV_EMAIL	0x01	\/* Send the user email, IF/
! RCV_ENDSESSION	../common/exf.h	/^#define	RCV_ENDSESSION	0x02	\/* End the file sessi/
! RCV_PERIOD	../common/exf.h	/^#define	RCV_PERIOD	120		\/* Sync every two minutes/
! RCV_PRESERVE	../common/exf.h	/^#define	RCV_PRESERVE	0x04	\/* Preserve backup file/
! RCV_SNAPSHOT	../common/exf.h	/^#define	RCV_SNAPSHOT	0x08	\/* Snapshot the recover/
  REALLOC	../common/mem.h	/^#define	REALLOC(sp, p, cast, size) {					\\$/
- REM	../common/msg.c	/^#define	REM	(blen - mlen)$/
- RE_C_CSCOPE	../common/screen.h	/^#define	RE_C_CSCOPE	0x0001		\/* Compile cscope pat/
- RE_C_SEARCH	../common/screen.h	/^#define	RE_C_SEARCH	0x0002		\/* Compile search rep/
- RE_C_SILENT	../common/screen.h	/^#define	RE_C_SILENT	0x0004		\/* No error messages./
- RE_C_SUBST	../common/screen.h	/^#define	RE_C_SUBST	0x0008		\/* Compile substitute /
- RE_C_TAG	../common/screen.h	/^#define	RE_C_TAG	0x0010		\/* Compile ctag pattern./
- RE_WSTART	../common/screen.h	/^#define	RE_WSTART	"[[:<:]]"	\/* Ex\/vi: not-in-wor/
- RE_WSTOP	../common/screen.h	/^#define	RE_WSTOP	"[[:>:]]"$/
  RLNO	../cl/cl.h	/^#define	RLNO(sp, lno)	(sp)->woff + (lno)$/
! SCNO	../vi/vs_refresh.c	/^#define	SCNO	vip->sc_col		\/* Current screen colum/
! SCREEN_COLS	../vi/vi.h	/^#define	SCREEN_COLS(sp)				\/* Screen columns. *\//
! SC_ARGNOFREE	../common/screen.h	/^#define	SC_ARGNOFREE	0x00002000	\/* Argument list /
! SC_ARGRECOVER	../common/screen.h	/^#define	SC_ARGRECOVER	0x00004000	\/* Argument list/
! SC_AT_SET	../common/screen.h	/^#define	SC_AT_SET	0x00008000	\/* Last at buffer se/
! SC_COMEDIT	../common/screen.h	/^#define	SC_COMEDIT	0x00010000	\/* Colon command-li/
! SC_EX	../common/screen.h	/^#define	SC_EX		0x00000001	\/* Ex editor. *\/$/
! SC_EXIT	../common/screen.h	/^#define	SC_EXIT		0x00000200	\/* Exiting (not force/
! SC_EXIT_FORCE	../common/screen.h	/^#define	SC_EXIT_FORCE	0x00000400	\/* Exiting (forc/
! SC_EX_GLOBAL	../common/screen.h	/^#define	SC_EX_GLOBAL	0x00020000	\/* Ex: executing /
! SC_EX_SILENT	../common/screen.h	/^#define	SC_EX_SILENT	0x00040000	\/* Ex: batch scri/
! SC_EX_WAIT_NO	../common/screen.h	/^#define	SC_EX_WAIT_NO	0x00080000	\/* Ex: don't wai/
! SC_EX_WAIT_YES	../common/screen.h	/^#define	SC_EX_WAIT_YES	0x00100000	\/* Ex:    do wa/
! SC_FSWITCH	../common/screen.h	/^#define	SC_FSWITCH	0x00000800	\/* Switch underlyin/
! SC_READONLY	../common/screen.h	/^#define	SC_READONLY	0x00200000	\/* Persistent read/
! SC_RE_SEARCH	../common/screen.h	/^#define	SC_RE_SEARCH	0x00400000	\/* Search RE has /
! SC_RE_SUBST	../common/screen.h	/^#define	SC_RE_SUBST	0x00800000	\/* Substitute RE h/
! SC_SCRIPT	../common/screen.h	/^#define	SC_SCRIPT	0x01000000	\/* Shell script wind/
! SC_SCR_CENTER	../common/screen.h	/^#define	SC_SCR_CENTER	0x00000080	\/* Center the li/
! SC_SCR_EX	../common/screen.h	/^#define	SC_SCR_EX	0x00000004	\/* Screen is in ex m/
! SC_SCR_EXWROTE	../common/screen.h	/^#define	SC_SCR_EXWROTE	0x00000010	\/* Ex overwrite/
! SC_SCR_REDRAW	../common/screen.h	/^#define	SC_SCR_REDRAW	0x00000040	\/* Refresh. *\/$/
! SC_SCR_REFORMAT	../common/screen.h	/^#define	SC_SCR_REFORMAT	0x00000020	\/* Reformat (r/
! SC_SCR_TOP	../common/screen.h	/^#define	SC_SCR_TOP	0x00000100	\/* Top the line if /
! SC_SCR_VI	../common/screen.h	/^#define	SC_SCR_VI	0x00000008	\/* Screen is in vi m/
! SC_SSWITCH	../common/screen.h	/^#define	SC_SSWITCH	0x00001000	\/* Switch screens. /
! SC_STATUS	../common/screen.h	/^#define	SC_STATUS	0x02000000	\/* Welcome message. /
! SC_STATUS_CNT	../common/screen.h	/^#define	SC_STATUS_CNT	0x04000000	\/* Welcome messa/
! SC_TINPUT	../common/screen.h	/^#define	SC_TINPUT	0x08000000	\/* Doing text input./
! SC_TINPUT_INFO	../common/screen.h	/^#define	SC_TINPUT_INFO	0x10000000	\/* Doing text i/
! SC_VI	../common/screen.h	/^#define	SC_VI		0x00000002	\/* Vi editor. *\/$/
! SDEC	../vi/v_increment.c	/^#define	SDEC	1$/
! SEARCH_CSCOPE	../common/screen.h	/^#define	SEARCH_CSCOPE	0x0001		\/* Search for a csc/
! SEARCH_EOL	../common/screen.h	/^#define	SEARCH_EOL	0x0002		\/* Offset past EOL is /
! SEARCH_FILE	../common/screen.h	/^#define	SEARCH_FILE	0x0004		\/* Search the entire /
! SEARCH_INCR	../common/screen.h	/^#define	SEARCH_INCR	0x0008		\/* Search incremental/
! SEARCH_MSG	../common/screen.h	/^#define	SEARCH_MSG	0x0010		\/* Display search mess/
! SEARCH_PARSE	../common/screen.h	/^#define	SEARCH_PARSE	0x0020		\/* Parse the search /
! SEARCH_SET	../common/screen.h	/^#define	SEARCH_SET	0x0040		\/* Set search directio/
! SEARCH_TAG	../common/screen.h	/^#define	SEARCH_TAG	0x0080		\/* Search for a tag pa/
! SEARCH_WMSG	../common/screen.h	/^#define	SEARCH_WMSG	0x0100		\/* Display search-wra/
! SEQ_FUNCMAP	../common/seq.h	/^#define	SEQ_FUNCMAP	0x01		\/* If unresolved functi/
! SEQ_NOOVERWRITE	../common/seq.h	/^#define	SEQ_NOOVERWRITE	0x02		\/* Don't replace ex/
! SEQ_SCREEN	../common/seq.h	/^#define	SEQ_SCREEN	0x04		\/* If screen specific. */
! SEQ_USERDEF	../common/seq.h	/^#define	SEQ_USERDEF	0x08		\/* If user defined. *\//
! SETSIG	../tk/tk_main.c	/^#define	SETSIG(signal, handler, off) {					\\$/
! SHELLECHO	../ex/ex_argv.c	/^#define	SHELLECHO	"echo "$/
! SHELLOFFSET	../ex/ex_argv.c	/^#define	SHELLOFFSET	(sizeof(SHELLECHO) - 1)$/
! SHIFT	../common/key.c	/^#define	SHIFT	(BITS - BITS % 3)$/
! SIGBLOCK	../common/gs.h	/^#define	SIGBLOCK \\$/
! SIGUNBLOCK	../common/gs.h	/^#define	SIGUNBLOCK \\$/
! SINGLE_CHAR_COMMANDS	../ex/ex.c	/^#define	SINGLE_CHAR_COMMANDS	"\\004!#&*<=>@~"$/
! SIZE_HMAP	../vi/vi.h	/^#define	SIZE_HMAP(sp)	(VIP(sp)->srows + 1)$/
  SKIP_PAST_NEWLINE	../ex/ex_tag.c	/^#define	SKIP_PAST_NEWLINE(p, back)	while (p < back/
  SMAP_CACHE	../vi/vi.h	/^#define	SMAP_CACHE(smp)		((smp)->c_ecsize != 0)$/
  SMAP_FLUSH	../vi/vi.h	/^#define	SMAP_FLUSH(smp)		((smp)->c_ecsize = 0)$/
! STANDARD_TAB	../common/key.h	/^#define	STANDARD_TAB	6$/
! SUB_FIRST	../ex/ex_subst.c	/^#define	SUB_FIRST	0x01		\/* The 'r' flag isn't rea/
! SUB_MUSTSETR	../ex/ex_subst.c	/^#define	SUB_MUSTSETR	0x02		\/* The 'r' flag is req/
! TABCH	../vi/vs_line.c	/^#define	TABCH	'-'$/
  TAB_OFF	../vi/vi.h	/^#define	TAB_OFF(c)	COL_OFF((c), O_VAL(sp, O_TABSTO/
! TAB_RESET	../vi/vs_relative.c	/^#define	TAB_RESET {							\\$/
! TAGF_ERR	../ex/tag.h	/^#define	TAGF_ERR	0x01	\/* Error occurred. *\/$/
! TAGF_ERR_WARN	../ex/tag.h	/^#define	TAGF_ERR_WARN	0x02	\/* Error reported. *\//
! TAG_CSCOPE	../ex/tag.h	/^#define	TAG_CSCOPE	0x01	\/* Cscope tag. *\/$/
! TCC	../tcl_api/tcl.c	/^#define	TCC(name, function) {						\\$/
! TEMPORARY_FILE_STRING	../common/gs.h	/^#define	TEMPORARY_FILE_STRING	"\/tmp"	\/* Default /
! TERM_PUSH_SHIFT	../common/key.c	/^#define	TERM_PUSH_SHIFT	30$/
  TKP	../tk/tki.h	/^#define	TKP(sp)		((TK_PRIVATE *)((sp)->gp->tk_priv/
! TK_LLINE_IV	../tk/tki.h	/^#define	TK_LLINE_IV	0x0001	\/* Last line is in inv/
! TK_SCR_VI_INIT	../tk/tki.h	/^#define	TK_SCR_VI_INIT	0x0002	\/* Vi screen initia/
! TK_SIGHUP	../tk/tki.h	/^#define	TK_SIGHUP	0x0004	\/* SIGHUP arrived. *\/$/
! TK_SIGINT	../tk/tki.h	/^#define	TK_SIGINT	0x0008	\/* SIGINT arrived. *\/$/
! TK_SIGTERM	../tk/tki.h	/^#define	TK_SIGTERM	0x0010	\/* SIGTERM arrived. *\//
! TK_SIGWINCH	../tk/tki.h	/^#define	TK_SIGWINCH	0x0020	\/* SIGWINCH arrived. */
! TMAP	../vi/vi.h	/^#define	TMAP		_TMAP(sp)$/
! TOPMASK	../common/key.c	/^#define	TOPMASK	(BITS % 3 == 2 ? 3 : 1) << (BITS -/
! TRACE	../common/util.c	/^TRACE(sp, fmt, va_alist)$/
! TRUE	../cl/cl.h	/^#define	TRUE	1$/
! TXT_ADDNEWLINE	../common/key.h	/^#define	TXT_ADDNEWLINE	0x00000001	\/* Replay start/
! TXT_AICHARS	../common/key.h	/^#define	TXT_AICHARS	0x00000002	\/* Leading autoind/
! TXT_ALTWERASE	../common/key.h	/^#define	TXT_ALTWERASE	0x00000004	\/* Option: altwe/
! TXT_APPENDEOL	../common/key.h	/^#define	TXT_APPENDEOL	0x00000008	\/* Appending aft/
! TXT_AUTOINDENT	../common/key.h	/^#define	TXT_AUTOINDENT	0x00000010	\/* Autoindent s/
! TXT_BACKSLASH	../common/key.h	/^#define	TXT_BACKSLASH	0x00000020	\/* Backslashes e/
! TXT_BEAUTIFY	../common/key.h	/^#define	TXT_BEAUTIFY	0x00000040	\/* Only printable/
! TXT_BS	../common/key.h	/^#define	TXT_BS		0x00000080	\/* Backspace returns t/
! TXT_CEDIT	../common/key.h	/^#define	TXT_CEDIT	0x00000100	\/* Can return TERM_C/
! TXT_CNTRLD	../common/key.h	/^#define	TXT_CNTRLD	0x00000200	\/* Control-D is a c/
! TXT_CNTRLT	../common/key.h	/^#define	TXT_CNTRLT	0x00000400	\/* Control-T is an /
! TXT_CR	../common/key.h	/^#define	TXT_CR		0x00000800	\/* CR returns the buff/
! TXT_DOTTERM	../common/key.h	/^#define	TXT_DOTTERM	0x00001000	\/* Leading '.' ter/
! TXT_EMARK	../common/key.h	/^#define	TXT_EMARK	0x00002000	\/* End of replacemen/
! TXT_EOFCHAR	../common/key.h	/^#define	TXT_EOFCHAR	0x00004000	\/* ICANON set, ret/
! TXT_ESCAPE	../common/key.h	/^#define	TXT_ESCAPE	0x00008000	\/* Escape returns t/
! TXT_FILEC	../common/key.h	/^#define	TXT_FILEC	0x00010000	\/* Option: filec. */
! TXT_INFOLINE	../common/key.h	/^#define	TXT_INFOLINE	0x00020000	\/* Editing the in/
! TXT_MAPINPUT	../common/key.h	/^#define	TXT_MAPINPUT	0x00040000	\/* Apply the inpu/
! TXT_NLECHO	../common/key.h	/^#define	TXT_NLECHO	0x00080000	\/* Echo the newline/
! TXT_NUMBER	../common/key.h	/^#define	TXT_NUMBER	0x00100000	\/* Number the line./
! TXT_OVERWRITE	../common/key.h	/^#define	TXT_OVERWRITE	0x00200000	\/* Overwrite cha/
! TXT_PROMPT	../common/key.h	/^#define	TXT_PROMPT	0x00400000	\/* Display a prompt/
! TXT_RECORD	../common/key.h	/^#define	TXT_RECORD	0x00800000	\/* Record for repla/
! TXT_REPLACE	../common/key.h	/^#define	TXT_REPLACE	0x01000000	\/* Replace; don't /
! TXT_REPLAY	../common/key.h	/^#define	TXT_REPLAY	0x02000000	\/* Replay the last /
! TXT_RESOLVE	../common/key.h	/^#define	TXT_RESOLVE	0x04000000	\/* Resolve the tex/
! TXT_SEARCHINCR	../common/key.h	/^#define	TXT_SEARCHINCR	0x08000000	\/* Incremental /
! TXT_SHOWMATCH	../common/key.h	/^#define	TXT_SHOWMATCH	0x10000000	\/* Option: showm/
! TXT_TTYWERASE	../common/key.h	/^#define	TXT_TTYWERASE	0x20000000	\/* Option: ttywe/
! TXT_WRAPMARGIN	../common/key.h	/^#define	TXT_WRAPMARGIN	0x40000000	\/* Option: wrap/
! UNMAP_TST	../vi/v_txt.c	/^#define	UNMAP_TST							\\$/
! UPDATE_CURSOR	../vi/vs_refresh.c	/^#define	UPDATE_CURSOR	0x01			\/* Update the cursor/
  UPDATE_POSITION	../vi/v_txt.c	/^#define	UPDATE_POSITION(sp, tp) {					\\$/
! UPDATE_SCREEN	../vi/vs_refresh.c	/^#define	UPDATE_SCREEN	0x02			\/* Flush to screen. /
! USAGE	../cl/cl_funcs.c	/^#define	USAGE "\\$/
! VC_BUFFER	../vi/vi.h	/^#define	VC_BUFFER	0x00000200	\/* The buffer was se/
! VC_C1RESET	../vi/vi.h	/^#define	VC_C1RESET	0x00000400	\/* Reset C1SET flag/
! VC_C1SET	../vi/vi.h	/^#define	VC_C1SET	0x00000800	\/* Count 1 was set. */
! VC_C2SET	../vi/vi.h	/^#define	VC_C2SET	0x00001000	\/* Count 2 was set. */
! VC_ISDOT	../vi/vi.h	/^#define	VC_ISDOT	0x00002000	\/* Command was the do/
  VIP	../vi/vi.h	/^#define	VIP(sp)	((VI_PRIVATE *)((sp)->vi_private))/
! VIP_CUR_INVALID	../vi/vi.h	/^#define	VIP_CUR_INVALID	0x0001	\/* Cursor position/
! VIP_DIVIDER	../vi/vi.h	/^#define	VIP_DIVIDER	0x0002	\/* Divider line was di/
! VIP_N_EX_PAINT	../vi/vi.h	/^#define	VIP_N_EX_PAINT	0x0004	\/* Clear and repain/
! VIP_N_EX_REDRAW	../vi/vi.h	/^#define	VIP_N_EX_REDRAW	0x0008	\/* Schedule SC_SCR/
! VIP_N_REFRESH	../vi/vi.h	/^#define	VIP_N_REFRESH	0x0010	\/* Repaint (from SMA/
! VIP_N_RENUMBER	../vi/vi.h	/^#define	VIP_N_RENUMBER	0x0020	\/* Renumber screen /
! VIP_RCM_LAST	../vi/vi.h	/^#define	VIP_RCM_LAST	0x0040	\/* Cursor drawn to th/
! VIP_S_MODELINE	../vi/vi.h	/^#define	VIP_S_MODELINE	0x0080	\/* Skip next modeli/
! VIP_S_REFRESH	../vi/vi.h	/^#define	VIP_S_REFRESH	0x0100	\/* Skip next refresh/
! VI_FHEADER	../common/recover.c	/^#define	VI_FHEADER	"X-vi-recover-file: "$/
  VI_INIT_IGNORE	../tk/tki.h	/^#define	VI_INIT_IGNORE(sp)						\\$/
! VI_PHEADER	../common/recover.c	/^#define	VI_PHEADER	"X-vi-recover-path: "$/
! VI_SCR_CFLUSH	../vi/vi.h	/^#define	VI_SCR_CFLUSH(vip)	vip->ss_lno = OOBLNO$/
! VI_VERSION	../ex/version.h	/^#define	VI_VERSION \\$/
! VMC	../common/msg.c	/^#define	VMC	"VI_MESSAGE_CATALOG"$/
! VM_CMDFAILED	../vi/vi.h	/^#define	VM_CMDFAILED	0x00000001	\/* Command failed/
! VM_COMMASK	../vi/vi.h	/^#define	VM_COMMASK	0x0000000f	\/* Mask for VM flag/
! VM_CUTREQ	../vi/vi.h	/^#define	VM_CUTREQ	0x00000002	\/* Always cut into n/
! VM_LDOUBLE	../vi/vi.h	/^#define	VM_LDOUBLE	0x00000004	\/* Doubled command /
! VM_LMODE	../vi/vi.h	/^#define	VM_LMODE	0x00000008	\/* Motion is line ori/
! VM_RCM	../vi/vi.h	/^#define	VM_RCM		0x00000010	\/* Use relative cursor/
! VM_RCM_MASK	../vi/vi.h	/^#define	VM_RCM_MASK	0x000001f0	\/* Mask for RCM fl/
! VM_RCM_SET	../vi/vi.h	/^#define	VM_RCM_SET	0x00000020	\/* RCM: set to curr/
! VM_RCM_SETFNB	../vi/vi.h	/^#define	VM_RCM_SETFNB	0x00000040	\/* RCM: set to f/
! VM_RCM_SETLAST	../vi/vi.h	/^#define	VM_RCM_SETLAST	0x00000080	\/* RCM: set to /
! VM_RCM_SETNNB	../vi/vi.h	/^#define	VM_RCM_SETNNB	0x00000100	\/* RCM: set to n/
! V_ABS	../vi/vi.h	/^#define	V_ABS		0x00004000	\/* Absolute movement, s/
! V_ABS_C	../vi/vi.h	/^#define	V_ABS_C		0x00008000	\/* V_ABS: if the line/
! V_ABS_L	../vi/vi.h	/^#define	V_ABS_L		0x00010000	\/* V_ABS: if the line/
! V_CHAR	../vi/vi.h	/^#define	V_CHAR		0x00020000	\/* Character (required/
! V_CNT	../vi/vi.h	/^#define	V_CNT		0x00040000	\/* Count (optional, lea/
! V_DOT	../vi/vi.h	/^#define	V_DOT		0x00080000	\/* On success, sets dot/
! V_KEYW	../vi/vi.h	/^#define	V_KEYW		0x00100000	\/* Cursor referenced w/
! V_MOTION	../vi/vi.h	/^#define	V_MOTION	0x00200000	\/* Motion (required, /
! V_MOVE	../vi/vi.h	/^#define	V_MOVE		0x00400000	\/* Command defines mov/
! V_OBUF	../vi/vi.h	/^#define	V_OBUF		0x00800000	\/* Buffer (optional, l/
! V_RBUF	../vi/vi.h	/^#define	V_RBUF		0x01000000	\/* Buffer (required, t/
! V_SECURE	../vi/vi.h	/^#define	V_SECURE	0x02000000	\/* Permission denied /
! WMTSPACE	../vi/v_txt.c	/^#define	WMTSPACE	wmt.offset + wmt.owrite + wmt.ins/
! XTERM_RENAME	../cl/cl.h	/^#define	XTERM_RENAME	"\\033]0;%s\\007"$/
! _HMAP	../vi/vi.h	/^#define	_HMAP(sp)	(VIP(sp)->h_smap)$/
! _TMAP	../vi/vi.h	/^#define	_TMAP(sp)	(VIP(sp)->t_smap)$/
! __INUSE1	../ex/ex.h	/^#define	__INUSE1	0xfffff800	\/* Same name space as/
! __INUSE2	../ex/ex.h	/^#define	__INUSE2	0x000004ff	\/* Same name space as/
! __NL_ARGMAX	../common/msg.c	/^#define	__NL_ARGMAX	20		\/* Set to 9 by System V. /
  addnstr	../cl/cl_bsd.c	/^addnstr(s, n)$/
  api_aline	../common/api.c	/^api_aline(sp, lno, line, len)$/
  api_dline	../common/api.c	/^api_dline(sp, lno)$/
--- 140,220 ----
  OG_SET	../common/options.h	/^#define	OG_SET(gp, o)		((gp)->opts[(o)].o_cur.val)/
  OG_STR	../common/options.h	/^#define	OG_STR(gp, o)		((gp)->opts[(o)].o_cur.str)/
  OG_VAL	../common/options.h	/^#define	OG_VAL(gp, o)		((gp)->opts[(o)].o_cur.val)/
! OS_DEF	../common/options.h	46
! OS_NOFREE	../common/options.h	47
! OS_STR	../common/options.h	48
! OS_STRDUP	../common/options.h	49
! O_NUMBER_FMT	../vi/vi.h	340
! O_NUMBER_LENGTH	../vi/vi.h	341
  O_V	../common/options.h	/^#define	O_V(sp, o, fld)							\\$/
! PROMPTCHAR	../ex/ex.h	12
  QREM	../common/key.c	/^#define	QREM(len) {							\\$/
! RCV_EMAIL	../common/exf.h	79
! RCV_ENDSESSION	../common/exf.h	80
! RCV_PRESERVE	../common/exf.h	81
! RCV_SNAPSHOT	../common/exf.h	82
  REALLOC	../common/mem.h	/^#define	REALLOC(sp, p, cast, size) {					\\$/
  RLNO	../cl/cl.h	/^#define	RLNO(sp, lno)	(sp)->woff + (lno)$/
! SCREEN_COLS	../vi/vi.h	/^#define	SCREEN_COLS(sp)				\/* Screen columns. *\/	\\/
! SI	../common/multibyte.h	35
! SIGBLOCK	../common/gs.h	239
! SIGUNBLOCK	../common/gs.h	241
  SKIP_PAST_NEWLINE	../ex/ex_tag.c	/^#define	SKIP_PAST_NEWLINE(p, back)	while (p < back/
  SMAP_CACHE	../vi/vi.h	/^#define	SMAP_CACHE(smp)		((smp)->c_ecsize != 0)$/
  SMAP_FLUSH	../vi/vi.h	/^#define	SMAP_FLUSH(smp)		((smp)->c_ecsize = 0)$/
! SO	../common/multibyte.h	34
! SS2	../common/multibyte.h	36
! SS3	../common/multibyte.h	37
! STANDARD_TAB	../common/key.h	151
! SUB_FIRST	../ex/ex_subst.c	32
! SUB_MUSTSETR	../ex/ex_subst.c	33
! TABCH	../vi/vs_line.c	29
  TAB_OFF	../vi/vi.h	/^#define	TAB_OFF(c)	COL_OFF((c), O_VAL(sp, O_TABSTO/
! TEMPORARY_FILE_STRING	../common/gs.h	12
  TKP	../tk/tki.h	/^#define	TKP(sp)		((TK_PRIVATE *)((sp)->gp->tk_priv/
! TRACE	../common/util.c	/^TRACE(SCR *sp, const char *fmt, ...)$/
! TRUE	../cl/cl.h	78
! TXT_ADDNEWLINE	../common/key.h	192
! TXT_AICHARS	../common/key.h	193
! TXT_ALTWERASE	../common/key.h	194
! TXT_APPENDEOL	../common/key.h	195
! TXT_AUTOINDENT	../common/key.h	196
! TXT_BACKSLASH	../common/key.h	197
! TXT_BEAUTIFY	../common/key.h	198
! TXT_BS	../common/key.h	199
! TXT_CEDIT	../common/key.h	200
! TXT_CNTRLD	../common/key.h	201
! TXT_CNTRLT	../common/key.h	202
! TXT_CR	../common/key.h	203
! TXT_DOTTERM	../common/key.h	204
! TXT_EMARK	../common/key.h	205
! TXT_EOFCHAR	../common/key.h	206
! TXT_ESCAPE	../common/key.h	207
! TXT_FILEC	../common/key.h	208
! TXT_INFOLINE	../common/key.h	209
! TXT_MAPINPUT	../common/key.h	210
! TXT_NLECHO	../common/key.h	211
! TXT_NUMBER	../common/key.h	212
! TXT_OVERWRITE	../common/key.h	213
! TXT_PROMPT	../common/key.h	214
! TXT_RECORD	../common/key.h	215
! TXT_REPLACE	../common/key.h	216
! TXT_REPLAY	../common/key.h	217
! TXT_RESOLVE	../common/key.h	218
! TXT_SEARCHINCR	../common/key.h	219
! TXT_SHOWMATCH	../common/key.h	220
! TXT_TTYWERASE	../common/key.h	221
! TXT_WRAPMARGIN	../common/key.h	222
! UNMAP_TST	../vi/v_txt.c	234
! UPDATE_CURSOR	../vi/vs_refresh.c	30
  UPDATE_POSITION	../vi/v_txt.c	/^#define	UPDATE_POSITION(sp, tp) {					\\$/
! UPDATE_SCREEN	../vi/vs_refresh.c	31
  VIP	../vi/vi.h	/^#define	VIP(sp)	((VI_PRIVATE *)((sp)->vi_private))/
! VI_FHEADER	../common/recover.c	109
  VI_INIT_IGNORE	../tk/tki.h	/^#define	VI_INIT_IGNORE(sp)						\\$/
! VI_PHEADER	../common/recover.c	110
! VI_VERSION	../ex/version.h	1
! XTERM_RENAME	../cl/cl.h	70
  addnstr	../cl/cl_bsd.c	/^addnstr(s, n)$/
  api_aline	../common/api.c	/^api_aline(sp, lno, line, len)$/
  api_dline	../common/api.c	/^api_dline(sp, lno)$/
***************
*** 543,552 ****
--- 253,287 ----
  b_search	../common/search.c	/^b_search(sp, fm, rm, ptrn, plen, eptrn, flags)$/
  bdisplay	../ex/ex_display.c	/^bdisplay(sp)$/
  beep	../cl/cl_bsd.c	/^beep()$/
+ big5_display	../common/multi_big5.c	/^big5_display(sp, e, name, p)$/
+ big5_keyinput	../common/multi_big5.c	/^big5_keyinput(sp, e, kbuf, kbuflen, intbuf, pintbu/
+ big5_to_int	../common/multi_big5.c	/^big5_to_int(sp, e, dst, pdlen, src, slen, pflags, /
+ big5toiso2022	../common/multi_big5.c	/^big5toiso2022(class, dst, src)$/
  binary_search	../ex/ex_tag.c	/^binary_search(string, front, back)$/
  binc	../common/util.c	/^binc(sp, bp, bsizep, min)$/
  bword	../vi/v_word.c	/^bword(sp, vp, type)$/
+ callcharset	../common/multi_iso2022.c	/^callcharset(cs, e, ht, state, prefer)$/
+ canna_beep	../common/multi_canna.c	/^canna_beep()$/
+ canna_echoback	../common/multi_canna.c	/^canna_echoback(sp)$/
+ canna_enabled	../common/multi_canna.c	/^canna_enabled(sp)$/
+ canna_end	../common/multi_canna.c	/^canna_end(sp)$/
+ canna_fenceactive	../common/multi_canna.c	/^canna_fenceactive(sp)$/
+ canna_force_off	../common/multi_canna.c	/^canna_force_off(sp)$/
+ canna_force_on	../common/multi_canna.c	/^canna_force_on(sp)$/
+ canna_init	../common/multi_canna.c	/^canna_init(sp)$/
+ canna_inject	../common/multi_canna.c	/^canna_inject(sp, arg)$/
+ canna_keyinput	../common/multi_canna.c	/^canna_keyinput(sp, e, kbuf, kbuflen, intbuf, pintb/
+ canna_modeline	../common/multi_canna.c	/^canna_modeline(sp)$/
+ canna_modelinesw	../common/multi_canna.c	/^canna_modelinesw(sp, x)$/
+ canna_off	../common/multi_canna.c	/^canna_off(sp)$/
+ canna_on	../common/multi_canna.c	/^canna_on(sp)$/
+ canna_puteucjpstr	../common/multi_canna.c	/^canna_puteucjpstr(sp, p0, len, mode)$/
+ canna_puteucjpstr3	../common/multi_canna.c	/^canna_puteucjpstr3(sp, p, len, revpos, revlen, mod/
+ canna_setmode	../common/multi_canna.c	/^canna_setmode(sp, mode, drop)$/
+ canna_setserver	../common/multi_canna.c	/^canna_setserver(sp, name)$/
+ canna_updatemodeline	../common/multi_canna.c	/^canna_updatemodeline(sp)$/
  cb_rotate	../common/cut.c	/^cb_rotate(sp)$/
+ charset	../common/multibyte.h	/^#define	charset(ch)	charsettab[(ch) & 0x7f]$/
  cl_addstr	../cl/cl_funcs.c	/^cl_addstr(sp, str, len)$/
  cl_attr	../cl/cl_funcs.c	/^cl_attr(sp, attribute, on)$/
  cl_baud	../cl/cl_funcs.c	/^cl_baud(sp, ratep)$/
***************
*** 566,571 ****
--- 301,307 ----
  cl_insertln	../cl/cl_funcs.c	/^cl_insertln(sp)$/
  cl_keyval	../cl/cl_funcs.c	/^cl_keyval(sp, val, chp, dnep)$/
  cl_move	../cl/cl_funcs.c	/^cl_move(sp, lno, cno)$/
+ cl_multi_conv	../cl/cl_read.c	/^cl_multi_conv(sp, clp, buf, blen)$/
  cl_omesg	../cl/cl_term.c	/^cl_omesg(sp, clp, on)$/
  cl_optchange	../cl/cl_term.c	/^cl_optchange(sp, opt, str, valp)$/
  cl_pfmap	../cl/cl_term.c	/^cl_pfmap(sp, stype, from, flen, to, tlen)$/
***************
*** 590,595 ****
--- 326,333 ----
  cs_fblank	../vi/getc.c	/^cs_fblank(sp, csp)$/
  cs_fspace	../vi/getc.c	/^cs_fspace(sp, csp)$/
  cs_init	../vi/getc.c	/^cs_init(sp, csp)$/
+ cs_multi_next	../vi/getc.c	/^cs_multi_next(sp, csp)$/
+ cs_multi_prev	../vi/getc.c	/^cs_multi_prev(sp, csp)$/
  cs_next	../vi/getc.c	/^cs_next(sp, csp)$/
  cs_prev	../vi/getc.c	/^cs_prev(sp, csp)$/
  csc_file	../ex/ex_cscope.c	/^csc_file(sp, csc, name, dirp, dlenp, isolderp)$/
***************
*** 605,610 ****
--- 343,349 ----
  ctag_search	../ex/ex_tag.c	/^ctag_search(sp, search, slen, tag)$/
  ctag_sfile	../ex/ex_tag.c	/^ctag_sfile(sp, tfp, tqp, tname)$/
  ctag_slist	../ex/ex_tag.c	/^ctag_slist(sp, tag)$/
+ ctext_recommendation	../common/multi_iso2022.c	/^ctext_recommendation(cs, e)$/
  cut	../common/cut.c	/^cut(sp, namep, fm, tm, flags)$/
  cut_close	../common/cut.c	/^cut_close(gp)$/
  cut_line	../common/cut.c	/^cut_line(sp, lno, fcno, clen, cbp)$/
***************
*** 618,639 ****
  db_insert	../common/line.c	/^db_insert(sp, lno, p, len)$/
  db_last	../common/line.c	/^db_last(sp, lnop)$/
  db_set	../common/line.c	/^db_set(sp, lno, p, len)$/
  del	../common/delete.c	/^del(sp, fm, tm, lmode)$/
- e_asp	../common/key.h	/^#define	e_asp	_u_event._e_str.asp$/
- e_c	../common/key.h	/^#define	e_c	_u_event._e_ch.c$/
- e_ch	../common/key.h	/^#define	e_ch	_u_event._e_ch		\/* !!! The structure/
- e_cno	../common/key.h	/^#define	e_cno	_u_event._e_mark.cno1$/
- e_csp	../common/key.h	/^#define	e_csp	_u_event._e_str.csp$/
- e_fcno	../common/key.h	/^#define	e_fcno	_u_event._e_mark.cno1$/
- e_flags	../common/key.h	/^#define	e_flags	_u_event._e_ch.flags$/
- e_flno	../common/key.h	/^#define	e_flno	_u_event._e_mark.lno1	\/* Text regi/
- e_len	../common/key.h	/^#define	e_len	_u_event._e_str.len$/
- e_lno	../common/key.h	/^#define	e_lno	_u_event._e_mark.lno1	\/* Single loc/
  e_memcmp	../common/seq.c	/^e_memcmp(p1, ep, n)$/
- e_tcno	../common/key.h	/^#define	e_tcno	_u_event._e_mark.cno2$/
- e_tlno	../common/key.h	/^#define	e_tlno	_u_event._e_mark.lno2$/
- e_value	../common/key.h	/^#define	e_value	_u_event._e_ch.value$/
  editor	../common/main.c	/^editor(gp, argc, argv)$/
  eword	../vi/v_word.c	/^eword(sp, vp, type)$/
  ex	../ex/ex.c	/^ex(spp)$/
  ex_N_edit	../ex/ex_edit.c	/^ex_N_edit(sp, cmdp, frp, attach)$/
--- 357,376 ----
  db_insert	../common/line.c	/^db_insert(sp, lno, p, len)$/
  db_last	../common/line.c	/^db_last(sp, lnop)$/
  db_set	../common/line.c	/^db_set(sp, lno, p, len)$/
+ dbdelline	../common/multibyte.c	/^dbdelline(sp, l)$/
+ dbgetline	../common/multibyte.c	/^dbgetline(sp, l, pp, plen)$/
+ dbsetline	../common/multibyte.c	/^dbsetline(sp, l, p, len)$/
  del	../common/delete.c	/^del(sp, fm, tm, lmode)$/
  e_memcmp	../common/seq.c	/^e_memcmp(p1, ep, n)$/
  editor	../common/main.c	/^editor(gp, argc, argv)$/
+ euc_display	../common/multi_euc.c	/^euc_display(sp, e, name, p)$/
+ euc_keyinput	../common/multi_euc.c	/^euc_keyinput(sp, e, kbuf, kbuflen, intbuf, pintbuf/
+ euc_recommendation	../common/multi_euc.c	/^euc_recommendation(cs, e)$/
+ euc_to_int	../common/multi_euc.c	/^euc_to_int(sp, e, dst, pdlen, src, slen, pflags, s/
+ eucjp_display	../common/multi_eucjp.c	/^eucjp_display(sp, e, name, p)$/
+ euctw_display	../common/multi_euctw.c	/^euctw_display(sp, e, name, p)$/
+ euctw_keyinput	../common/multi_euctw.c	/^euctw_keyinput(sp, e, kbuf, kbuflen, intbuf, pintb/
+ euctw_to_int	../common/multi_euctw.c	/^euctw_to_int(sp, e, dst, pdlen, src, slen, pflags,/
  eword	../vi/v_word.c	/^eword(sp, vp, type)$/
  ex	../ex/ex.c	/^ex(spp)$/
  ex_N_edit	../ex/ex_edit.c	/^ex_N_edit(sp, cmdp, frp, attach)$/
***************
*** 697,703 ****
  ex_preserve	../ex/ex_preserve.c	/^ex_preserve(sp, cmdp)$/
  ex_prev	../ex/ex_args.c	/^ex_prev(sp, cmdp)$/
  ex_print	../ex/ex_print.c	/^ex_print(sp, cmdp, fp, tp, flags)$/
! ex_printf	../ex/ex_print.c	/^ex_printf(sp, fmt, va_alist)$/
  ex_put	../ex/ex_put.c	/^ex_put(sp, cmdp)$/
  ex_puts	../ex/ex_print.c	/^ex_puts(sp, str)$/
  ex_quit	../ex/ex_quit.c	/^ex_quit(sp, cmdp)$/
--- 434,440 ----
  ex_preserve	../ex/ex_preserve.c	/^ex_preserve(sp, cmdp)$/
  ex_prev	../ex/ex_args.c	/^ex_prev(sp, cmdp)$/
  ex_print	../ex/ex_print.c	/^ex_print(sp, cmdp, fp, tp, flags)$/
! ex_printf	../ex/ex_print.c	/^ex_printf(SCR *sp, const char *fmt, ...)$/
  ex_put	../ex/ex_put.c	/^ex_put(sp, cmdp)$/
  ex_puts	../ex/ex_print.c	/^ex_puts(sp, str)$/
  ex_quit	../ex/ex_quit.c	/^ex_quit(sp, cmdp)$/
***************
*** 756,762 ****
--- 493,504 ----
  exrc_isok	../ex/ex_init.c	/^exrc_isok(sp, sbp, path, rootown, rootid)$/
  exwr	../ex/ex_write.c	/^exwr(sp, cmdp, cmd)$/
  f_altwerase	../common/options_f.c	/^f_altwerase(sp, op, str, valp)$/
+ f_canna	../common/options_f.c	/^f_canna(sp, op, str, valp)$/
+ f_cannaserver	../common/options_f.c	/^f_cannaserver(sp, op, str, valp)$/
  f_columns	../common/options_f.c	/^f_columns(sp, op, str, valp)$/
+ f_displayencoding	../common/options_f.c	/^f_displayencoding(sp, op, str, valp)$/
+ f_fileencoding	../common/options_f.c	/^f_fileencoding(sp, op, str, valp)$/
+ f_inputencoding	../common/options_f.c	/^f_inputencoding(sp, op, str, valp)$/
  f_lines	../common/options_f.c	/^f_lines(sp, op, str, valp)$/
  f_lisp	../common/options_f.c	/^f_lisp(sp, op, str, valp)$/
  f_msgcat	../common/options_f.c	/^f_msgcat(sp, op, str, valp)$/
